# Interface RangeDomainJson

Range domain specifies a range of valid values for a field. See https://developers.arcgis.com/web-map-specification/objects/range_domain/ https://developers.arcgis.com/web-scene-specification/objects/range_domain/.

interface RangeDomainJson {
name: string;
range: number[];
type: "range";
}

#### Hierarchy (view full)

- DomainJsonBase
  - RangeDomainJson

#####
Index

### Properties

name
range
type

##
Properties

### name

name: string

The name of the domain.

### range

range: number[]

An array in the format [<minValue>, <maxValue>].

### type

type

Type of domain.

Overrides DomainJsonBase.type